Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
etc.c File Reference
`#include "ruby.h"`
`#include "ruby/encoding.h"`
`#include <sys/types.h>`
Include dependency graph for etc.c:

Go to the source code of this file.

## Macros
#define | numberof(array) (sizeof(array) / sizeof(*(array)))

## Functions
char * | getenv ()
char * | getlogin ()
static VALUE | etc_getlogin (VALUE obj)
static VALUE | etc_getpwuid (int argc, VALUE *argv, VALUE obj)
static VALUE | etc_getpwnam (VALUE obj, VALUE nam)
static VALUE | etc_passwd (VALUE obj)
static VALUE | etc_each_passwd (VALUE obj)
static VALUE | etc_setpwent (VALUE obj)
static VALUE | etc_endpwent (VALUE obj)
static VALUE | etc_getpwent (VALUE obj)
static VALUE | etc_getgrgid (int argc, VALUE *argv, VALUE obj)
static VALUE | etc_getgrnam (VALUE obj, VALUE nam)
static VALUE | etc_group (VALUE obj)
static VALUE | etc_setgrent (VALUE obj)
static VALUE | etc_endgrent (VALUE obj)
static VALUE | etc_getgrent (VALUE obj)
static VALUE | etc_sysconfdir (VALUE obj)
static VALUE | etc_systmpdir (void)
void | Init_etc (void)

## Variables
static VALUE | sPasswd

## Macro Definition Documentation

#define numberof | ( |  | array) |  | (sizeof(array) / sizeof(*(array)))

Definition at line 587 of file etc.c.

Referenced by etc_systmpdir().

## Function Documentation

static VALUE etc_each_passwd | ( | VALUE | obj) |  |
| static

Definition at line 290 of file etc.c.

References RETURN_ENUMERATOR.

Referenced by Init_etc().

static VALUE etc_endgrent | ( | VALUE | obj) |  |
| static

Definition at line 556 of file etc.c.

References Qnil.

Referenced by Init_etc().

static VALUE etc_endpwent | ( | VALUE | obj) |  |
| static

Definition at line 315 of file etc.c.

References Qnil.

Referenced by Init_etc().

static VALUE etc_getgrent | ( | VALUE | obj) |  |
| static

Definition at line 575 of file etc.c.

References Qnil.

Referenced by Init_etc().

static VALUE etc_getgrgid | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | obj
| ) |  |
| static

Definition at line 387 of file etc.c.

References getgid(), id, NUM2GIDT, Qnil, rb_eArgError, rb_raise(), rb_scan_args(), and rb_secure().

Referenced by Init_etc().

static VALUE etc_getgrnam | ( | VALUE | obj,
|  | VALUE | nam
| ) |  |
| static

Definition at line 426 of file etc.c.

References PRIsVALUE, Qnil, rb_eArgError, rb_raise(), rb_secure(), RSTRING_PTR, and SafeStringValue.

Referenced by Init_etc().

static VALUE etc_getlogin | ( | VALUE | obj) |  |
| static

Definition at line 59 of file etc.c.

References getenv(), getlogin(), Qnil, rb_secure(), and rb_tainted_str_new2.

Referenced by Init_etc().

static VALUE etc_getpwent | ( | VALUE | obj) |  |
| static

Definition at line 335 of file etc.c.

References Qnil.

Referenced by Init_etc().

static VALUE etc_getpwnam | ( | VALUE | obj,
|  | VALUE | nam
| ) |  |
| static

Definition at line 181 of file etc.c.

References PRIsVALUE, Qnil, rb_eArgError, rb_raise(), RSTRING_PTR, and SafeStringValue.

Referenced by Init_etc().

static VALUE etc_getpwuid | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | obj
| ) |  |
| static

Definition at line 143 of file etc.c.

References getuid(), id, NUM2UIDT, Qnil, rb_eArgError, rb_raise(), rb_scan_args(), and rb_secure().

Referenced by Init_etc().

static VALUE etc_group | ( | VALUE | obj) |  |
| static

Definition at line 492 of file etc.c.

References Qnil, rb_block_given_p(), and rb_secure().

Referenced by Init_etc().

static VALUE etc_passwd | ( | VALUE | obj) |  |
| static

Definition at line 249 of file etc.c.

References Qnil, rb_block_given_p(), and rb_secure().

Referenced by Init_etc().

static VALUE etc_setgrent | ( | VALUE | obj) |  |
| static

Definition at line 544 of file etc.c.

References Qnil.

Referenced by Init_etc().

static VALUE etc_setpwent | ( | VALUE | obj) |  |
| static

Definition at line 303 of file etc.c.

References Qnil.

Referenced by Init_etc().

static VALUE etc_sysconfdir | ( | VALUE | obj) |  |
| static

Definition at line 603 of file etc.c.

References CSIDL_COMMON_APPDATA, rb_filesystem_str_new_cstr(), and rb_w32_special_folder().

Referenced by Init_etc().

static VALUE etc_systmpdir | ( | void | ) |  |
| static

Definition at line 616 of file etc.c.

References FL_TAINT, FL_UNSET, FL_UNTRUSTED, numberof, Qnil, rb_filesystem_encoding(), rb_filesystem_str_new_cstr(), rb_w32_conv_from_wchar(), and rb_w32_system_tmpdir().

Referenced by Init_etc().

char* getenv | ( | ) |  |

char* getlogin | ( | ) |  |

Definition at line 762 of file win32.c.

References NTLoginName.

Referenced by etc_getlogin().

void Init_etc | ( | void | ) |  |

Definition at line 658 of file etc.c.

References etc_each_passwd(), etc_endgrent(), etc_endpwent(), etc_getgrent(), etc_getgrgid(), etc_getgrnam(), etc_getlogin(), etc_getpwent(), etc_getpwnam(), etc_getpwuid(), etc_group(), etc_passwd(), etc_setgrent(), etc_setpwent(), etc_sysconfdir(), etc_systmpdir(), NULL, rb_define_const(), rb_define_module(), rb_define_module_function(), rb_define_singleton_method(), rb_extend_object(), rb_mEnumerable, rb_struct_define(), and sPasswd.

## Variable Documentation

VALUE sPasswd
| static

Definition at line 26 of file etc.c.

Referenced by Init_etc().